#include <bits/stdc++.h>
using namespace std;
int brcif (int n)
{
    int br=0;
    while (n>0)
    {
        n/=10;
        br++;
    }
    return br;
}
int main()
{
    int d=1, br=3;
    long long p=10, v;
    cin>>v;
    int c=brcif(v);
    long long a[c*3];
    a[0]=1;
    a[1]=2;
    a[2]=5;
    while (p*d<=v)
    {
        a[br]=p*d;
        br++;
        if (br%3==0)
        {
            d=1;
            p*=10;
        }
        else if (br%3==1)
            d=2;
        else
            d=5;
    }
    int b=0;
    for (int i=br-1; i>=0; i--)
    {
        b+=v/a[i];
        v=v%a[i];
        if (v==0)
            break;
    }
    cout<<b<<endl;
}